Why can't I downgrade from 4.0 to 3.1.2 or 3.1.3?

Discussion in 'iPod touch' started by dd_ny, Jun 29, 2010.

  1. dd_ny

    dd_ny New Member

    Joined:
    Jun 20, 2010
    Messages:
    338
    Likes Received:
    0
    Device:
    4G iPod touch
    I followed the instructions from YouTube videos, but when I hit the shift+restore and select the firmware, it says it's not compatible with my iPod. I am sure I've selected the appropriate firmware for my generation.
  2. XxRedRumxX

    XxRedRumxX Well-Known Member

    Joined:
    Dec 18, 2009
    Messages:
    6,666
    Likes Received:
    1,079
    Device:
    Samsung Galaxy Nexus
    did you back up ur shsh blobs, make sure you have the right firmware???
  3. Naveen121

    Naveen121 Well-Known Member

    Joined:
    Apr 9, 2010
    Messages:
    2,085
    Likes Received:
    65
    Device:
    2G iPod touch
  4. dd_ny

    dd_ny New Member

    Joined:
    Jun 20, 2010
    Messages:
    338
    Likes Received:
    0
    Device:
    4G iPod touch
    Yes I did back up my blobs, but in the YouTube video it didn't mention anything about using my blobs. And yes, I have the right firmware.
  5. nathan asay

    nathan asay New Member

    Joined:
    Jan 17, 2010
    Messages:
    7
    Likes Received:
    1
    Device:
    3G iPod touch
    didnt happen with me it loaded way quickly lol
  6. prime7o3

    prime7o3 New Member

    Joined:
    Jul 1, 2010
    Messages:
    2
    Likes Received:
    0
    lets say u have a 3g 8gb that was jail broken with 3.1.2 but someone upgraded it on accident to 4.0, but itunes saved the backup of all the apps and music, how do you downgrade back to 3.1.2? im using the newest version of itunes
  7. GazaIan

    GazaIan Well-Known Member

    Joined:
    May 19, 2010
    Messages:
    5,975
    Likes Received:
    431
    Device:
    Nexus 4
    Here's the joke, the iPod is a 2G. use restore file that starts with iPod2,1

Share This Page